
    <!DOCTYPE html>
    <html>
      <body>
        <style>@page {
  size: 1280px 720px;
  margin: 0;
}@media print {html, body {
  background-color: #fff;
  margin: 0;
  page-break-inside: avoid;
  break-inside: avoid-page;
}
  div.marpit > section {
    page-break-before: always;
    break-before: page;
  }

  div.marpit > section, div.marpit > section * {
    -webkit-print-color-adjust: exact !important;
    animation-delay: 0s !important;
    animation-duration: 0s !important;
    color-adjust: exact !important;
    transition: none !important;
  }

  div.marpit > svg[data-marpit-svg] {
    display: block;
    height: 100vh;
    width: 100vw;
  }
}

div.marpit > section {
  width: 1280px;
  height: 720px;

  box-sizing: border-box;
  overflow: hidden;
  position: relative;

  scroll-snap-align: center center;
}

div.marpit > section::after {
  bottom: 0;
  content: attr(data-marpit-pagination);
  padding: inherit;
  pointer-events: none;
  position: absolute;
  right: 0;
}

div.marpit > section:not([data-marpit-pagination])::after {
  display: none;
}

/* Normalization */
div.marpit > section h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

div.marpit > section video::-webkit-media-controls {
  will-change: transform;
}</style>
        <div class="marpit"><section id="1" data-marpit-fragments="31">
<h1>Продакшен</h1>
<p>Продакшен-среда — инфраструктура (например, сервера), в которой развернут проект. Она обеспечивает доступ к проекту конечным пользователям.</p>
<p>Зарегистрируйте домен и создайте свой сервер на <a href="https://m.do.co/c/e702f9a99145">Digital Ocean</a>.</p>
<h2>Ссылки</h2>
<ul>
<li data-marpit-fragment="1"><a href="https://m.do.co/c/e702f9a99145">Регистрация на DO</a></li>
<li data-marpit-fragment="2"><a href="http://namecheap.com/">Namecheap</a></li>
<li data-marpit-fragment="3"><a href="https://guides.hexlet.io/dns/">Что такое DNS</a></li>
<li data-marpit-fragment="4"><a href="https://guides.hexlet.io/ssh/">Что такое SSH</a></li>
<li data-marpit-fragment="5"><a href="https://guides.hexlet.io/check-list-of-engineering-practices/">Чек-лист хороших инженерных практик в компаниях</a></li>
<li data-marpit-fragment="6"><a href="https://ru.hexlet.io/blog/posts/environment">Среды разработки</a></li>
<li data-marpit-fragment="7"><a href="https://guides.hexlet.io/hosting/">Что такое домен и хостинг</a></li>
</ul>
<h2>Digital Ocean</h2>
<ul>
<li data-marpit-fragment="8">
<p>Зарегистрируйтесь на Digital Ocean по ссылке <a href="https://m.do.co/c/e702f9a99145">Регистрация на DO</a>. Подтвердите электронную почту и укажите платежные данные. С вас могут снять $1, который сразу же вернется
<strong>При выборе способа оплаты &quot;PayPal&quot; с вас снимут $5 и их не вернут</strong>
<img src="assets/do-build-your-first-project.png" alt="" /></p>
</li>
<li data-marpit-fragment="9">
<p>Создайте дроплет. Выберите из Marketplace готовое приложение. На <a href="https://marketplace.digitalocean.com/">странице маркетплейса</a> Можно посмотреть список всех приложений или нейти возможное через поиск по названию. Выбирайте приложение с web-доступом, например:
<img src="assets/do-marketplace.png" alt="" /></p>
<ul>
<li data-marpit-fragment="10">Laravel</li>
<li data-marpit-fragment="11">NodeJS</li>
<li data-marpit-fragment="12">LAMP</li>
<li data-marpit-fragment="13">LEMP</li>
<li data-marpit-fragment="14">Wordpress</li>
<li data-marpit-fragment="15">Django</li>
<li data-marpit-fragment="16">Ruby On Rails</li>
</ul>
</li>
<li data-marpit-fragment="17">
<p>Измените характеристики сервера. Выберите самый дешевый тариф. Датацентр может быть любом
<img src="assets/do-choose-plan.png" alt="" /></p>
</li>
<li data-marpit-fragment="18">
<p>Укажите ваш публичный ssh-ключ
<img src="assets/do-add-key.png" alt="" /></p>
</li>
<li data-marpit-fragment="19">
<p>Создайте сервер с получившейся конфигурацией</p>
</li>
<li data-marpit-fragment="20">
<p>После создания сервера (завершения прогресс-бара) попробуйте подключиться к серверу по IP. Имя пользователя - <em>root</em></p>
</li>
</ul>
<h2>Регистрация домена</h2>
<ul>
<li data-marpit-fragment="21">Зайдите на Namecheap и выберите имя домена. Выберите самую дешевую доменную зону (например на .club стоит примерно $1,35)</li>
<li data-marpit-fragment="22">Для покупки потребуется регистрация. Заполните регистрационные данные и контактную информацию. Заполните контактную информацию о домене. Она может отличаться от той, что указана для аккаунта</li>
<li data-marpit-fragment="23">На электронную почту придет письмо с подтверждением. Необходимо будет перейти по ссылке</li>
<li data-marpit-fragment="24">После успешной оплаты переходите к управлению доменом
<img src="assets/namecheap-open-manage.png" alt="" /></li>
</ul>
<h2>Привязка домена к Digital Ocean</h2>
<ul>
<li data-marpit-fragment="25">В панели управлению Digital Ocean перейдите во вкладку Networking</li>
<li data-marpit-fragment="26">Впишите название вашего домена. По умолчанию будет выбран созданный первый проект
<img src="assets/do-add-domain.png" alt="" /></li>
<li data-marpit-fragment="27">Заполните A запись для вашего сервера, как на скриншоте. Hostname - <code>@</code>, Will redirect to - <code>ваш сервер</code>.
<img src="assets/do-add-a-record.png" alt="" /></li>
<li data-marpit-fragment="28">Делегируйте Домен из Namecheap в Digital Ocean. Для этого на странице управления доменом в Namecheap пропишите NS записи. Их можно получить на странице Digital Ocean: Networking - Domains на странице домена. При клике на NS запись она копируется в буфер обмена
<img src="assets/do-nameservers-list.png" alt="" /></li>
<li data-marpit-fragment="29">Выбираем Custom DNS на странице управления доменом в Namecheap и вставляем все три NS сервера. В конце нажимаем на галочку для подтверждения
<img src="assets/namecheap-set-nameservers.png" alt="" />
<img src="assets/namecheap-set-nameservers-2.png" alt="" /></li>
<li data-marpit-fragment="30">Обновление записей для нового домена может происходит несколько часов</li>
<li data-marpit-fragment="31">Проверьте доступность вашего приложения открыв его в браузере. Попробуйте подключитьcя по SSH</li>
</ul>
<p>Итогом задания должно стать работающее приложение на сервере DO и на вашем домене.
В issue приложите ссылку на домен к которому привязано приложение.</p>
</section>
</div>
      </body>
    </html>
  